
struct PageSettingsFile {

    let contentWidth: Int

    let largeImageWidth: Int

    let pageLinkImageSize: Int

    let defaultCssFile: String?

    let codeHighlightingJsFile: String?

    let modelViewerJsFile: String?

    let imageCompareJsFile: String?

    let imageCompareCssFile: String?
}

extension PageSettingsFile: Codable {
    
}

extension PageSettingsFile {

    static var `default`: PageSettingsFile {
        .init(contentWidth: 600,
              largeImageWidth: 1200,
              pageLinkImageSize: 180,
              defaultCssFile: nil,
              codeHighlightingJsFile: nil,
              modelViewerJsFile: nil,
              imageCompareJsFile: nil,
              imageCompareCssFile: nil)
    }
}
